curl --request POST \
--url https://app.cryptoprocessing.com/api/v2/invoices/create \
--header 'Content-Type: application/json' \
--header 'X-Processing-Key: <api-key>' \
--header 'X-Processing-Signature: <x-processing-signature>' \
--data '
{
"timer": false,
"title": "Invoice Title",
"currency": "EUR",
"amount": 100,
"foreign_id": "test_foreign_id_0344",
"end_user_reference": "12345",
"url_success": "https://example.com/success",
"url_failed": "https://example.com/failed",
"email_user": "[email protected]",
"sender_type": "natural",
"sender_data": {
"first_name": "Friedrich",
"last_name": "Müller",
"date_of_birth": "1995-08-17"
}
}
'{
"data": {
"id": 826900,
"url": "https://invoices.sandbox.cryptoprocessing.com/invoice/Jyf1cQ",
"foreign_id": "test_foreign_id_0344",
"end_user_reference": "12345",
"address": null,
"title": "Invoice Title",
"status": "created",
"currency": "EUR",
"amount": "100.00000000",
"sender_currency": null,
"sender_amount": null,
"fixed_at": null,
"release_at": null,
"seconds_left": null
}
}curl --request POST \
--url https://app.cryptoprocessing.com/api/v2/invoices/create \
--header 'Content-Type: application/json' \
--header 'X-Processing-Key: <api-key>' \
--header 'X-Processing-Signature: <x-processing-signature>' \
--data '
{
"timer": false,
"title": "Invoice Title",
"currency": "EUR",
"amount": 100,
"foreign_id": "test_foreign_id_0344",
"end_user_reference": "12345",
"url_success": "https://example.com/success",
"url_failed": "https://example.com/failed",
"email_user": "[email protected]",
"sender_type": "natural",
"sender_data": {
"first_name": "Friedrich",
"last_name": "Müller",
"date_of_birth": "1995-08-17"
}
}
'{
"data": {
"id": 826900,
"url": "https://invoices.sandbox.cryptoprocessing.com/invoice/Jyf1cQ",
"foreign_id": "test_foreign_id_0344",
"end_user_reference": "12345",
"address": null,
"title": "Invoice Title",
"status": "created",
"currency": "EUR",
"amount": "100.00000000",
"sender_currency": null,
"sender_amount": null,
"fixed_at": null,
"release_at": null,
"seconds_left": null
}
}sender_data and the end_user_reference you provide must be associated with the same customer.Hex-encoded HMAC-SHA512 signature of the request body, generated using your secret key.
A persistent internal user ID used to track all requests for the same end user. Must be consistent across requests and must not contain personal data, such as the user's name or email address. Put customer personal details in sender_data.
If this parameter is set to true, the invoice will expire in 15 minutes after it is created.
Invoice title that the customer will see.
1 - 50This invoice's unique ID in your system.
Currency you want to receive deposits in. For a list of all available currencies, see API currency codes.
Invoice amount that you want to receive from the customer.
The URL the customer will be redirected to in case of a successful invoice payment.
The URL the customer will be redirected to in case of an unsuccessful invoice payment.
If the amount the customer pays does not match the amount you set for the invoice, Cryptoprocessing will send an email to this address instructing the customer on how they can receive a refund. If they paid less, they will receive a full refund. If they paid more, the customer will get instructions on how to be refunded the difference.
Whether the sender is a natural person (natural) or a legal entity (legal). If you include the sender_type parameter in the request, sender_data is also required.
natural, legal If the sender is a natural person, include their first_name, last_name and date_of_birth. If the sender is a legal entity, include their legal_name and country_of_registration.
Show child attributes
For partial pay invoices, set this parameter to good_until_expired. For standard invoices, use fill_or_kill or leave this parameter empty.
fill_or_kill, good_until_expired Invoice description that the customer will see.
1000Currency the customer will pay in. If provided together with timer: true, the invoice is created with a fixed payment currency.
Created
Show child attributes